class PathProcessorFrontTest
Test front page path processing.
Attributes
#[CoversClass(PathProcessorFront::class)]
#[Group('PathProcessor')]
Hierarchy
- class \Drupal\Tests\UnitTestCase uses \Drupal\Tests\PhpUnitCompatibilityTrait, \Prophecy\PhpUnit\ProphecyTrait, \Drupal\TestTools\Extension\DeprecationBridge\ExpectDeprecationTrait, \Drupal\Tests\RandomGeneratorTrait extends \PHPUnit\Framework\TestCase
- class \Drupal\Tests\Core\PathProcessor\PathProcessorFrontTest extends \Drupal\Tests\UnitTestCase
Expanded class hierarchy of PathProcessorFrontTest
File
-
core/
tests/ Drupal/ Tests/ Core/ PathProcessor/ PathProcessorFrontTest.php, line 20
Namespace
Drupal\Tests\Core\PathProcessorView source
class PathProcessorFrontTest extends UnitTestCase {
/**
* Tests basic inbound processing functionality.
*
* @legacy-covers ::processInbound
*/
public function testProcessInbound($frontpage_path, $path, $expected, array $expected_query = [], array $request_query = []) : void {
$config_factory = $this->prophesize(ConfigFactoryInterface::class);
$config = $this->prophesize(ImmutableConfig::class);
$config_factory->get('system.site')
->willReturn($config->reveal());
$config->get('page.front')
->willReturn($frontpage_path);
$processor = new PathProcessorFront($config_factory->reveal());
$request = new Request();
$request->query
->replace($request_query);
$this->assertEquals($expected, $processor->processInbound($path, $request));
$this->assertEquals($expected_query, $request->query
->all());
}
/**
* Inbound paths and expected results.
*/
public static function providerProcessInbound() {
return [
'accessing frontpage' => [
'/node',
'/',
'/node',
],
'accessing non frontpage' => [
'/node',
'/user',
'/user',
],
'accessing frontpage with query parameters' => [
'/node?example=muh',
'/',
'/node',
[
'example' => 'muh',
],
],
'frontpage with query parameters and request query parameters' => [
'/node?example=muh',
'/',
'/node',
[
'example' => 'muh',
'example2' => 'buh',
],
[
'example2' => 'buh',
],
],
'frontpage with query parameters and replacement request query parameters' => [
'/node?example=muh',
'/',
'/node',
[
'example' => 'cuh',
'example2' => 'buh',
],
[
'example' => 'cuh',
'example2' => 'buh',
],
],
];
}
/**
* Tests inbound failure with broken config.
*
* @legacy-covers ::processInbound
*/
public function testProcessInboundBadConfig() : void {
$config_factory = $this->prophesize(ConfigFactoryInterface::class);
$config = $this->prophesize(ImmutableConfig::class);
$config_factory->get('system.site')
->willReturn($config->reveal());
$config->get('page.front')
->willReturn('');
$processor = new PathProcessorFront($config_factory->reveal());
$this->expectException(NotFoundHttpException::class);
$processor->processInbound('/', new Request());
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overrides |
|---|---|---|---|---|
| ExpectDeprecationTrait::expectDeprecation | public | function | Adds an expected deprecation. | |
| ExpectDeprecationTrait::setUpErrorHandler | public | function | Sets up the test error handler. | |
| ExpectDeprecationTrait::tearDownErrorHandler | public | function | Tears down the test error handler. | |
| PathProcessorFrontTest::providerProcessInbound | public static | function | Inbound paths and expected results. | |
| PathProcessorFrontTest::testProcessInbound | public | function | Tests basic inbound processing functionality. | |
| PathProcessorFrontTest::testProcessInboundBadConfig | public | function | Tests inbound failure with broken config. | |
| RandomGeneratorTrait::getRandomGenerator | protected | function | Gets the random generator for the utility methods. | |
| RandomGeneratorTrait::randomMachineName | protected | function | Generates a unique random string containing letters and numbers. | |
| RandomGeneratorTrait::randomObject | public | function | Generates a random PHP object. | |
| RandomGeneratorTrait::randomString | public | function | Generates a pseudo-random string of ASCII characters of codes 32 to 126. | |
| UnitTestCase::$root | protected | property | The app root. | |
| UnitTestCase::getClassResolverStub | protected | function | Returns a stub class resolver. | |
| UnitTestCase::getConfigFactoryStub | public | function | Returns a stub config factory that behaves according to the passed array. | |
| UnitTestCase::getContainerWithCacheTagsInvalidator | protected | function | Sets up a container with a cache tags invalidator. | |
| UnitTestCase::getStringTranslationStub | public | function | Returns a stub translation manager that just returns the passed string. | |
| UnitTestCase::setDebugDumpHandler | public static | function | Registers the dumper CLI handler when the DebugDump extension is enabled. | |
| UnitTestCase::setUp | protected | function | 366 | |
| UnitTestCase::setupMockIterator | protected | function | Set up a traversable class mock to return specific items when iterated. |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.